org.apache.hc.core5.http2.impl.nio

## Class ServerHttpProtocolNegotiatorFactory

- java.lang.Object
- - org.apache.hc.core5.http2.impl.nio.ServerHttpProtocolNegotiatorFactory

- All Implemented Interfaces:
    IOEventHandlerFactory

  Deprecated.
  Use `ServerHttpProtocolNegotiationStarter`

      @Contract(threading=IMMUTABLE_CONDITIONAL)
      @Internal
      @Deprecated
      public class ServerHttpProtocolNegotiatorFactory
      extends Object
      implements IOEventHandlerFactory

  `ServerHttpProtocolNegotiator` factory.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerHttpProtocolNegotiatorFactory(ServerHttp1StreamDuplexerFactory http1StreamDuplexerFactory, ServerH2StreamMultiplexerFactory http2StreamMultiplexerFactory, HttpVersionPolicy versionPolicy, TlsStrategy tlsStrategy, Timeout handshakeTimeout)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerHttpProtocolNegotiator` | `createHandler(ProtocolIOSession ioSession, Object attachment)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerHttpProtocolNegotiatorFactory

          public ServerHttpProtocolNegotiatorFactory(ServerHttp1StreamDuplexerFactory http1StreamDuplexerFactory,
                                             ServerH2StreamMultiplexerFactory http2StreamMultiplexerFactory,
                                             HttpVersionPolicy versionPolicy,
                                             TlsStrategy tlsStrategy,
                                             Timeout handshakeTimeout)

      Deprecated.

  - ### Method Detail

    - #### createHandler

          public ServerHttpProtocolNegotiator createHandler(ProtocolIOSession ioSession,
                                                   Object attachment)

      Deprecated.
      Specified by:
        `createHandler` in interface `IOEventHandlerFactory`

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.